Add a suggested delivery area
POST
/rounds/learned/area-suggestions/add
const url = 'https://example.com/rounds/learned/area-suggestions/add';const options = { method: 'POST', headers: { cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"driverUserId":"example","term":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/rounds/learned/area-suggestions/add \ --header 'Content-Type: application/json' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token> \ --data '{ "driverUserId": "example", "term": "example" }'Adds it to the driver’s delivery area. 404 if it isn’t on offer any more.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
driverUserId
required
string
term
required
string
Example generated
{ "driverUserId": "example", "term": "example"}Responses
Section titled “Responses”Done
Media typeapplication/json
object
done
required
boolean
Example
{ "done": true}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not the owner in the office app, or on a plan without rounds
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not found
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}The words can’t be kept, with the reason
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}